Index: gcc/testsuite/gfortran.fortran-torture/compile/pr57517.f90
===================================================================
--- gcc/testsuite/gfortran.fortran-torture/compile/pr57517.f90	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/gfortran.fortran-torture/compile/pr57517.f90	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,13 @@
+SUBROUTINE cal_helicity (uh, ph, phb, wavg, ims, ime, its, ite)
+  INTEGER, INTENT( IN ) :: ims, ime, its, ite
+  REAL, DIMENSION( ims:ime), INTENT( IN ) :: ph, phb, wavg
+  REAL, DIMENSION( ims:ime), INTENT( INOUT ) :: uh
+  INTEGER :: i
+  REAL :: zu
+  DO i = its, ite
+    zu =  (ph(i ) + phb(i)) + (ph(i-1) + phb(i-1))
+    IF (wavg(i) .GT. 0) THEN
+      uh(i) = uh(i) + zu 
+    ENDIF
+  END DO
+END SUBROUTINE cal_helicity
Index: gcc/testsuite/g++.dg/ext/attribute-test-2.C
===================================================================
--- gcc/testsuite/g++.dg/ext/attribute-test-2.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/ext/attribute-test-2.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -50,3 +50,4 @@
 
 /* Ignore a warning that is irrelevant to the purpose of this test.  */
 /* { dg-prune-output ".*GCC vector returned by reference.*" } */
+/* { dg-prune-output "changes the ABI" } */
Index: gcc/testsuite/g++.dg/ext/attribute-test-3.C
===================================================================
--- gcc/testsuite/g++.dg/ext/attribute-test-3.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/ext/attribute-test-3.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -52,3 +52,4 @@
 
 /* Ignore a warning that is irrelevant to the purpose of this test.  */
 /* { dg-prune-output ".*GCC vector returned by reference.*" } */
+/* { dg-prune-output "changes the ABI" } */
Index: gcc/testsuite/g++.dg/ext/traits1.C
===================================================================
--- gcc/testsuite/g++.dg/ext/traits1.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/ext/traits1.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,4 @@
+// PR c++/58504
+
+template<bool = __has_nothrow_assign(void)> struct A {};
+A<> a;
Index: gcc/testsuite/g++.dg/ext/attribute-test-4.C
===================================================================
--- gcc/testsuite/g++.dg/ext/attribute-test-4.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/ext/attribute-test-4.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -49,3 +49,4 @@
 
 /* Ignore a warning that is irrelevant to the purpose of this test.  */
 /* { dg-prune-output ".*GCC vector returned by reference.*" } */
+/* { dg-prune-output "changes the ABI" } */
Index: gcc/testsuite/g++.dg/ext/stmtexpr15.C
===================================================================
--- gcc/testsuite/g++.dg/ext/stmtexpr15.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/ext/stmtexpr15.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,7 @@
+// PR c++/59097
+// { dg-options "" }
+
+void foo()
+{
+  int x[({ return; })];		// { dg-error "non-integral" }
+}
Index: gcc/testsuite/g++.dg/ext/vector25.C
===================================================================
--- gcc/testsuite/g++.dg/ext/vector25.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/ext/vector25.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,6 @@
+volatile int i __attribute__((vector_size(8)));
+
+void foo()
+{
+  i += i;
+}
Index: gcc/testsuite/g++.dg/ext/attrib48.C
===================================================================
--- gcc/testsuite/g++.dg/ext/attrib48.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/ext/attrib48.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,6 @@
+// PR c++/54652
+
+typedef unsigned L __attribute__ ((aligned));
+typedef unsigned L __attribute__ ((aligned));
+
+L l;
Index: gcc/testsuite/g++.dg/ext/timevar2.C
===================================================================
--- gcc/testsuite/g++.dg/ext/timevar2.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/ext/timevar2.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,14 @@
+// PR c++/57524
+// { dg-options "-ftime-report" }
+// { dg-prune-output "wall" }
+// { dg-prune-output "times" }
+// { dg-prune-output "TOTAL" }
+// { dg-prune-output "checks" }
+
+namespace detail {
+namespace indirect_traits {}
+using namespace indirect_traits;
+void fn1() {
+using namespace detail;
+}
+}
Index: gcc/testsuite/g++.dg/ext/attribute-test-1.C
===================================================================
--- gcc/testsuite/g++.dg/ext/attribute-test-1.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/ext/attribute-test-1.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -36,3 +36,4 @@
 
 /* Ignore a warning that is irrelevant to the purpose of this test.  */
 /* { dg-prune-output ".*GCC vector returned by reference.*" } */
+/* { dg-prune-output "changes the ABI" } */
Index: gcc/testsuite/g++.dg/opt/pr59647.C
===================================================================
--- gcc/testsuite/g++.dg/opt/pr59647.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/opt/pr59647.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,32 @@
+// PR rtl-optimization/59647
+// { dg-do compile }
+// { dg-options "-O2 -fno-tree-vrp" }
+// { dg-additional-options "-msse2 -mfpmath=sse" { target { { i?86-*-* x86_64-*-* } && ia32 } } }
+
+void f1 (int);
+void f2 ();
+double f3 (int);
+
+struct A
+{
+  int f4 () const
+  {
+    if (a == 0)
+      return 1;
+    return 0;
+  }
+  unsigned f5 ()
+  {
+    if (!f4 ())
+      f2 ();
+    return a;
+  }
+  int a;
+};
+
+void
+f6 (A *x)
+{
+  unsigned b = x->f5 ();
+  f1 (b - 1 - f3 (x->f5 () - 1U));
+}
Index: gcc/testsuite/g++.dg/opt/pr59470.C
===================================================================
--- gcc/testsuite/g++.dg/opt/pr59470.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/opt/pr59470.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,188 @@
+// PR middle-end/59470
+// { dg-do run }
+// { dg-options "-O2 -fstack-protector" }
+// { dg-additional-options "-fPIC" { target fpic } }
+// { dg-require-effective-target fstack_protector }
+
+struct A
+{
+  int a1;
+  A () throw () : a1 (0) {}
+};
+
+struct B
+{
+  unsigned int b1 () throw ();
+};
+
+__attribute__((noinline, noclone)) unsigned int
+B::b1 () throw ()
+{
+  asm volatile ("" : : : "memory");
+  return 0;
+}
+
+struct C
+{
+  const A **c1;
+  void c2 (const A *, unsigned int);
+};
+
+__attribute__((noinline, noclone)) void
+C::c2 (const A *, unsigned int)
+{
+  asm volatile ("" : : : "memory");
+}
+
+struct D
+{
+  C *d1;
+};
+
+struct E
+{
+  int e1;
+  int e2;
+  D e3;
+};
+
+struct F
+{
+  virtual int f1 (const char * s, int n);
+};
+
+struct G
+{
+  F *g1;
+  bool g2;
+  G & g3 (const char * ws, int len)
+  {
+    if (__builtin_expect (!g2, true)
+	&& __builtin_expect (this->g1->f1 (ws, len) != len, false))
+      g2 = true;
+    return *this;
+  }
+};
+
+struct H : public A
+{
+  const char *h1;
+  unsigned int h2;
+  bool h3;
+  const char *h4;
+  char h5;
+  char h6;
+  char h7[31];
+  bool h8;
+  H () : h1 (0), h2 (0), h4 (0), h5 (0), h6 (0), h8 (false) {}
+  void h9 (const D &) __attribute__((noinline, noclone));
+};
+
+void
+H::h9 (const D &)
+{
+  h3 = true;
+  __builtin_memset (h7, 0, sizeof (h7));
+  asm volatile ("" : : : "memory");
+};
+
+B b;
+
+inline const H *
+foo (const D &x)
+{
+  const unsigned int i = b.b1 ();
+  const A **j = x.d1->c1;
+  if (!j[i])
+    {
+      H *k = 0;
+      try
+	{
+	  k = new H;
+	  k->h9 (x);
+	}
+      catch (...)
+	{
+	}
+      x.d1->c2 (k, i);
+    }
+    return static_cast <const H *>(j[i]);
+}
+
+__attribute__((noinline, noclone)) int
+bar (char *x, unsigned long v, const char *y, int z, bool w)
+{
+  asm volatile ("" : : "r" (x), "r" (v), "r" (y) : "memory");
+  asm volatile ("" : : "r" (z), "r" (w) : "memory");
+  return 8;
+}
+
+__attribute__((noinline, noclone)) void
+baz (void *z, const char *g, unsigned int h, char s, E &e, char *n, char *c, int &l)
+{
+  asm volatile ("" : : "r" (z), "r" (g), "r" (h) : "memory");
+  asm volatile ("" : : "r" (s), "r" (&e), "r" (n) : "memory");
+  asm volatile ("" : : "r" (c), "r" (&l) : "memory");
+  if (n == c)
+    __builtin_abort ();
+  int i = 0;
+  asm ("" : "+r" (i));
+  if (i == 0)
+    __builtin_exit (0);
+}
+
+__attribute__((noinline, noclone)) G
+test (void *z, G s, E &x, char, long v)
+{
+  const D &d = x.e3;
+  const H *h = foo (d);
+  const char *q = h->h7;
+  const int f = x.e2;
+  const int i = 5 * sizeof (long);
+  char *c = static_cast <char *>(__builtin_alloca (i));
+  const int b = f & 74;
+  const bool e = (b != 64 && b != 8);
+  const unsigned long u = ((v > 0 || !e) ? (unsigned long) v : -(unsigned long) v);
+  int l = bar (c + i, u, q, f, e);
+  c += i - l;
+  if (h->h3)
+    {
+      char *c2 = static_cast <char *>(__builtin_alloca ((l + 1) * 2));
+      baz (z, h->h1, h->h2, h->h6, x, c2 + 2, c, l);
+      c = c2 + 2;
+    }
+  if (__builtin_expect (e, true))
+    {
+    }
+  else if ((f & 4096) && v)
+    {
+      {
+	const bool m = f & 176;
+	*--c = q[m];
+	*--c = q[1];
+      }
+    }
+  const int w = x.e1;
+  if (w > l)
+    {
+      char * c3 = static_cast <char *>(__builtin_alloca (w));
+      c = c3;
+    }
+  return s.g3 (c, l);
+}
+
+int
+main ()
+{
+  H h;
+  const A *j[1];
+  C c;
+  G g;
+  E e;
+  h.h9 (e.e3);
+  j[0] = &h;
+  c.c1 = j;
+  e.e3.d1 = &c;
+  test (0, g, e, 0, 0);
+  __builtin_abort ();
+}
Index: gcc/testsuite/g++.dg/opt/pr58864.C
===================================================================
--- gcc/testsuite/g++.dg/opt/pr58864.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/opt/pr58864.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,21 @@
+// PR target/58864
+// { dg-do compile }
+// { dg-options "-Os" }
+// { dg-additional-options "-march=i686" { target { { i?86-*-* x86_64-*-* } && ia32 } } }
+
+struct A { A (); ~A (); };
+struct B { B (); };
+
+float d, e;
+
+void
+foo ()
+{
+  A a;
+  float c = d;
+  while (1)
+    {
+      B b;
+      e = c ? -c : 0;
+    }
+}
Index: gcc/testsuite/g++.dg/tree-prof/pr59255.C
===================================================================
--- gcc/testsuite/g++.dg/tree-prof/pr59255.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/tree-prof/pr59255.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,29 @@
+// PR c++/59255
+// { dg-options "-O2 -std=c++11" }
+
+struct S
+{
+  __attribute__((noinline, noclone)) ~S () noexcept (true)
+  {
+    if (fn)
+      fn (1);
+  }
+  void (*fn) (int);
+};
+
+__attribute__((noinline, noclone)) void
+foo (int x)
+{
+  if (x != 1)
+    throw 1;
+}
+
+int
+main ()
+{
+  for (int i = 0; i < 100; i++)
+    {
+      S s;
+      s.fn = foo;
+    }
+}
Index: gcc/testsuite/g++.dg/gomp/pr59297.C
===================================================================
--- gcc/testsuite/g++.dg/gomp/pr59297.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/gomp/pr59297.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,25 @@
+// PR c++/59297
+// { dg-do compile }
+// { dg-options "-fopenmp" }
+
+template <typename T>
+struct A
+{
+  ~A ();
+  const T &operator[] (int) const;
+};
+
+struct B
+{
+  int &operator () (A <int>);
+};
+
+void
+foo (B &x, int &z)
+{
+  A<A<int> > y;
+  #pragma omp atomic
+  x (y[0]) += 1;
+  #pragma omp atomic
+  z += x(y[1]);
+}
Index: gcc/testsuite/g++.dg/diagnostic/pr59838.C
===================================================================
--- gcc/testsuite/g++.dg/diagnostic/pr59838.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/diagnostic/pr59838.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,4 @@
+// PR c++/59838
+// { dg-do compile }
+
+enum E { a, b = (E) a }; // { dg-error "conversion to incomplete type" }
Index: gcc/testsuite/g++.dg/diagnostic/pr58979.C
===================================================================
--- gcc/testsuite/g++.dg/diagnostic/pr58979.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/diagnostic/pr58979.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,4 @@
+// PR c++/58979
+// { dg-do compile }
+
+int i = 0->*0; // { dg-error "invalid type argument of" }
Index: gcc/testsuite/g++.dg/conversion/simd1.C
===================================================================
--- gcc/testsuite/g++.dg/conversion/simd1.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/conversion/simd1.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -1,4 +1,5 @@
 /* { dg-do compile } */
+/* { dg-options "-msse2" { target { i?86-*-* x86_64-*-* } } } */
 
 /* Test overload resolution of vector types.
    From Janis Johnson and Paolo Bonzini, based on PR/16882 */
@@ -17,7 +18,7 @@
 void foo ()
 {
   vss = vld(i, vscp);        /* { dg-error "no matching function for call" } */
-  // { dg-message "candidate" "candidate note" { target *-*-* } 19 }
+  // { dg-message "candidate" "candidate note" { target *-*-* } 20 }
   vss = vld(i, vssp);
   vss = vld(i, cvssp);
 }
Index: gcc/testsuite/g++.dg/tls/thread_local8.C
===================================================================
--- gcc/testsuite/g++.dg/tls/thread_local8.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/tls/thread_local8.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,12 @@
+// PR c++/55800
+// { dg-options "-std=c++11" }
+// { dg-require-alias "" }
+// { dg-require-effective-target tls }
+// { dg-final { scan-assembler "_ZTH12foo_instance" { target tls_native } } }
+
+struct foo
+{
+  foo();
+};
+
+thread_local foo foo_instance;
Index: gcc/testsuite/g++.dg/tls/thread_local-ice2.C
===================================================================
--- gcc/testsuite/g++.dg/tls/thread_local-ice2.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/tls/thread_local-ice2.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,11 @@
+// PR c++/58672
+// { dg-options "-std=c++11" }
+// { dg-require-effective-target tls }
+
+struct A
+{
+  A(int);
+  i;				// { dg-error "" }
+};
+
+thread_local A a(0);
Index: gcc/testsuite/g++.dg/tm/pr60004.C
===================================================================
--- gcc/testsuite/g++.dg/tm/pr60004.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/tm/pr60004.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,10 @@
+// { dg-do compile }
+// { dg-options "-fgnu-tm" }
+
+int a;
+int f() {
+    __transaction_atomic {
+        if (a == 5)
+            return 1;
+    }
+}
Index: gcc/testsuite/g++.dg/tm/noexcept-6.C
===================================================================
--- gcc/testsuite/g++.dg/tm/noexcept-6.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/tm/noexcept-6.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,23 @@
+// { dg-do compile }
+// { dg-options "-fno-exceptions -fgnu-tm -O -std=c++0x -fdump-tree-tmlower" }
+
+struct TrueFalse
+{
+  static constexpr bool v() { return true; }
+};
+
+int global;
+
+template<typename T> int foo()
+{
+  return __transaction_atomic noexcept(T::v()) (global + 1);
+}
+
+int f1()
+{
+  return foo<TrueFalse>();
+}
+
+/* { dg-final { scan-tree-dump-times "eh_must_not_throw" 0 "tmlower" } } */
+/* { dg-final { scan-tree-dump-times "__transaction_atomic" 1 "tmlower" } } */
+/* { dg-final { cleanup-tree-dump "tmlower" } } */
Index: gcc/testsuite/g++.dg/pr59695.C
===================================================================
--- gcc/testsuite/g++.dg/pr59695.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/pr59695.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,125 @@
+
+/* PR target/59695 */
+/* { dg-do run } */
+/* { dg-options "-O0" } */
+
+#define  DEFINE_VIRTUALS_FNS(i)	virtual void  xxx##i ()	{} \
+  virtual void  foo1_##i ()	{}\
+  virtual void  foo2_##i ()	{}\
+  virtual void  foo3_##i ()	{}\
+  virtual void  foo4_##i ()	{}\
+  virtual void  foo5_##i ()	{}\
+  virtual void  foo6_##i ()	{}\
+  virtual void  foo7_##i ()	{}\
+  virtual void  foo8_##i ()	{}\
+  virtual void  foo9_##i ()	{}\
+  virtual void  foo10_##i ()	{}\
+  virtual void  foo11_##i ()	{}\
+  virtual void  foo12_##i ()	{}\
+  virtual void  foo13_##i ()	{}\
+  virtual void  foo14_##i ()	{}\
+  virtual void  foo15_##i ()	{}\
+  virtual void  foo16_##i ()	{}\
+  virtual void  foo17_##i ()	{}\
+  virtual void  foo18_##i ()	{}\
+  virtual void  foo19_##i ()	{}\
+  virtual void  foo20_##i ()	{}\
+  virtual void  foo21_##i ()	{}\
+  virtual void  foo22_##i ()	{}\
+
+class base_class_2
+{
+
+public:
+  /* Define lots of virtual functions */
+  DEFINE_VIRTUALS_FNS (1)
+  DEFINE_VIRTUALS_FNS (2)
+  DEFINE_VIRTUALS_FNS (3)
+  DEFINE_VIRTUALS_FNS (4)
+  DEFINE_VIRTUALS_FNS (5)
+  DEFINE_VIRTUALS_FNS (6)
+  DEFINE_VIRTUALS_FNS (7)
+  DEFINE_VIRTUALS_FNS (8)
+  DEFINE_VIRTUALS_FNS (9)
+  DEFINE_VIRTUALS_FNS (10)
+  DEFINE_VIRTUALS_FNS (11)
+  DEFINE_VIRTUALS_FNS (12)
+  DEFINE_VIRTUALS_FNS (13)
+  DEFINE_VIRTUALS_FNS (14)
+  DEFINE_VIRTUALS_FNS (15)
+  DEFINE_VIRTUALS_FNS (16)
+  DEFINE_VIRTUALS_FNS (17)
+  DEFINE_VIRTUALS_FNS (18)
+  DEFINE_VIRTUALS_FNS (19)
+  DEFINE_VIRTUALS_FNS (20)
+
+  base_class_2();
+  virtual ~base_class_2 ();
+};
+
+base_class_2::base_class_2()
+{
+}
+
+base_class_2::~base_class_2 ()
+{
+}
+
+class base_class_1
+{
+public:
+  virtual ~base_class_1();
+  base_class_1();
+};
+
+base_class_1::base_class_1()
+{
+}
+
+base_class_1::~base_class_1()
+{
+}
+
+class base_Impl_class :
+  virtual public base_class_2, public base_class_1
+{
+public:
+  base_Impl_class ();
+  virtual ~base_Impl_class ();
+};
+
+base_Impl_class::base_Impl_class ()
+{
+}
+
+base_Impl_class::~base_Impl_class ()
+{
+}
+
+
+class test_cls : public base_Impl_class
+{
+public:
+  test_cls();
+  virtual ~test_cls();
+};
+
+test_cls::test_cls()
+{
+}
+
+test_cls::~test_cls()
+{
+}
+
+int main()
+{
+  test_cls *test = new test_cls;
+  base_class_2 *p1 = test;
+
+  /* PR59695  destructor thunk offsets are not setup
+   correctly resulting in crash.  */
+  delete p1;
+  return 0;
+}
+
Index: gcc/testsuite/g++.dg/cpp0x/initlist79.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist79.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist79.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,8 @@
+// PR c++/59646
+// { dg-require-effective-target c++11 }
+
+#include <initializer_list>
+
+struct A {};
+
+std::initializer_list<volatile A> x = {{}};
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi5.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi5.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi5.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,7 @@
+// PR c++/58596
+// { dg-do compile { target c++11 } }
+
+struct A
+{
+  int i = [] { return decltype(i)(); }();
+};
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-53094-2.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-53094-2.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-53094-2.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -2,6 +2,7 @@
 // { dg-options "-std=gnu++11" }
 // Ignore warning on some powerpc-ibm-aix configurations.
 // { dg-prune-output "non-standard ABI extension" }
+// { dg-prune-output "changes the ABI" }
 
 typedef float __attribute__ ((vector_size (4 * sizeof (float)))) V4;
 constexpr V4 build (float x, float y, float z) { return (V4){ x, y, z, 0 };}
Index: gcc/testsuite/g++.dg/cpp0x/nsdmi-union3.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/nsdmi-union3.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/nsdmi-union3.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,10 @@
+// PR c++/58965
+// { dg-require-effective-target c++11 }
+
+void foo()
+{
+  static union
+  {
+    int i = i;
+  };
+}
Index: gcc/testsuite/g++.dg/cpp0x/variadic144.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic144.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic144.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,15 @@
+// PR c++/56060
+// { dg-do compile { target c++11 } }
+
+template<typename T> struct baz { };
+template<typename T> T bar();
+
+template<typename T, typename ... U>
+baz<decltype(bar<T>()(bar<U> ...))>  // { dg-error "cannot be used" }
+foo();
+
+int main()
+{
+  foo<int>();     // { dg-error "no matching" }
+  return 0;
+}
Index: gcc/testsuite/g++.dg/cpp0x/enum18.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/enum18.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/cpp0x/enum18.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -4,5 +4,5 @@
 int main(void) {
   enum e {};
   e ev;
-  ev.e::~e_u();	// { dg-error "e_u. has not been declared" }
+  ev.e::~e_u();	// { dg-error "" }
 }
Index: gcc/testsuite/g++.dg/cpp0x/noexcept22.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/noexcept22.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/noexcept22.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,21 @@
+// PR c++/60046
+// { dg-require-effective-target c++11 }
+
+constexpr bool foo () { return noexcept (true); }
+template <typename T>
+struct V
+{
+  void bar (V &) noexcept (foo ()) {}
+};
+template <typename T>
+struct W : public V <int>
+{
+  void bar (W &x) { V <int>::bar (x); }
+};
+
+int
+main ()
+{
+  W <int> a, b;
+  a.bar (b);
+}
Index: gcc/testsuite/g++.dg/cpp0x/initlist76.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist76.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist76.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,5 @@
+// PR c++/58812
+// { dg-require-effective-target c++11 }
+
+int i;
+int&& j{{ i }};			// { dg-error "too many braces" }
Index: gcc/testsuite/g++.dg/cpp0x/access02.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/access02.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/access02.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,39 @@
+// PR c++/58954
+// { dg-require-effective-target c++11 }
+
+template<class T>
+T&& declval();
+
+template<class T>
+struct foo_argument
+{
+  template<class Ret, class C, class Arg>
+  static Arg test(Ret (C::*)(Arg));
+
+  typedef decltype(test(&T::template foo<>)) type;
+};
+
+template<class T, class>
+struct dependent { typedef T type; };
+
+template<class T>
+struct base
+{
+  template<class Ignore = void>
+  auto foo(int i) -> decltype(declval<
+    typename dependent<T&, Ignore>::type
+  >().foo_impl(i));
+};
+
+struct derived : base<derived>
+{
+  friend struct base<derived>;
+private:
+  int foo_impl(int i);
+};
+
+int main()
+{
+  foo_argument<derived>::type var = 0;
+  return var;
+}
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-template6.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-template6.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-template6.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,20 @@
+// PR c++/59268
+// { dg-do compile }
+// { dg-options "-std=c++11" }
+
+template <typename>
+struct A
+{
+  constexpr A (int) {}
+  virtual void foo ()
+  {
+    constexpr A<void> a (0);
+  }
+};
+
+void
+bar ()
+{
+  A<int> a (3);
+  a.foo ();
+}
Index: gcc/testsuite/g++.dg/cpp0x/initlist78.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist78.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist78.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,12 @@
+// PR c++/58639
+// { dg-require-effective-target c++11 }
+
+struct node {
+  node &parent;
+};
+
+struct vector {
+  node n;
+};
+
+vector v({});			// { dg-error "" }
Index: gcc/testsuite/g++.dg/cpp0x/variadic148.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic148.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic148.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,6 @@
+// PR c++/59989
+// { dg-require-effective-target c++11 }
+
+template<typename T> struct X {};
+template<template<typename...> class D, typename ...U> int test(D<U...>*);
+int n = test<X, int>(0);	// { dg-error "no match" }
Index: gcc/testsuite/g++.dg/cpp0x/nsdmi9.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/nsdmi9.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/nsdmi9.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,13 @@
+// PR c++/58162
+// { dg-require-effective-target c++11 }
+
+struct A {
+ A();
+ A(A&&);
+};
+
+struct B {
+ A const a = A();
+};
+
+B b;
Index: gcc/testsuite/g++.dg/cpp0x/static_assert9.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/static_assert9.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/static_assert9.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,7 @@
+// PR c++/58837
+// { dg-require-effective-target c++11 }
+
+void f();
+static_assert(f, "");
+struct A {};
+static_assert(A::~A, "");      // { dg-error "non-static member function" }
Index: gcc/testsuite/g++.dg/cpp0x/variadic145.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic145.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic145.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,13 @@
+// PR c++/59730
+// { dg-do compile { target c++11 } }
+
+template <typename> void declval();
+template <typename> void forward();
+template <typename> class D;
+template <typename _Functor, typename... _Bound_args>
+class D <_Functor(_Bound_args...)> {
+  template <typename... _Args, decltype(declval<_Functor>)>
+  void operator()(...) {
+    0(forward<_Args>...);
+  }
+};
Index: gcc/testsuite/g++.dg/cpp0x/decltype57.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype57.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype57.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,8 @@
+// PR c++/58633
+// { dg-do compile { target c++11 } }
+
+void foo(int i)
+{
+  typedef int I;
+  decltype(i.I::~I())* p;
+}
Index: gcc/testsuite/g++.dg/cpp0x/variadic147.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic147.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic147.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,10 @@
+// PR c++/58466
+// { dg-require-effective-target c++11 }
+
+template<char, char...> struct A;
+
+template<typename> struct B;
+
+template<char... C> struct B<A<C...>> {};
+
+B<A<'X'>> b;
Index: gcc/testsuite/g++.dg/eh/uncaught1.C
===================================================================
--- gcc/testsuite/g++.dg/eh/uncaught1.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/eh/uncaught1.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -13,7 +13,7 @@
 
 static Check const data[] = {
   { 0, 0, false },	// construct [0]
-  { 1, 0, true  },	// [1] = [0]
+  { 1, 0, false  },	// [1] = [0]
   { 0, 0, true  },	// destruct [0]
   { 2, 1, true  },	// [2] = [1]
   { 2, 2, true  },      // destruct [2]
Index: gcc/testsuite/g++.dg/eh/uncaught4.C
===================================================================
--- gcc/testsuite/g++.dg/eh/uncaught4.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/eh/uncaught4.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,29 @@
+// PR c++/41174
+// { dg-do run }
+
+#include <exception>
+
+#define assert(E) if (!(E)) __builtin_abort();
+
+struct e {
+  e()
+  {
+    assert( !std::uncaught_exception() );
+    try {
+      throw 1;
+    } catch (int i) {
+      assert( !std::uncaught_exception() );
+      throw;
+    }
+  }
+};
+
+int main()
+{
+  try {
+    throw e();
+  } catch (int i) {
+    assert( !std::uncaught_exception() );
+  }
+  assert( !std::uncaught_exception() );
+}
Index: gcc/testsuite/g++.dg/inherit/virtual11.C
===================================================================
--- gcc/testsuite/g++.dg/inherit/virtual11.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/inherit/virtual11.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,17 @@
+// PR c++/59031
+// { dg-do compile }
+// { dg-options "-fdump-tree-gimple " }
+class B {
+ public:
+  virtual int add (int a, int b) {return a+ b;}
+};
+
+class D : public B {
+};
+
+int foo (int a, int b) {
+  D d;
+  return d.add(a, b);
+}
+// { dg-final { scan-tree-dump-not "OBJ_TYPE_REF" "gimple" } }
+// { dg-final { cleanup-tree-dump "gimple" } }
Index: gcc/testsuite/g++.dg/torture/pr38565.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr38565.C	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/g++.dg/torture/pr38565.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -1,6 +1,7 @@
 // { dg-do compile }
 // Ignore warning on some powerpc-linux configurations.
 // { dg-prune-output "non-standard ABI extension" }
+// { dg-prune-output "changes the ABI" }
 #define vector __attribute__((vector_size(16) ))
 vector unsigned int f(int a)
 {
Index: gcc/testsuite/g++.dg/torture/pr59163.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr59163.C	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/g++.dg/torture/pr59163.C	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,30 @@
+// PR target/59163
+// { dg-do run }
+
+struct A { float a[4]; };
+struct B { int b; A a; };
+
+__attribute__((noinline, noclone)) void
+bar (A &a)
+{
+  if (a.a[0] != 36.0f || a.a[1] != 42.0f || a.a[2] != 48.0f || a.a[3] != 54.0f)
+    __builtin_abort ();
+}
+
+__attribute__((noinline, noclone)) void
+foo (A &a)
+{
+  int i;
+  A c = a;
+  for (i = 0; i < 4; i++)
+    c.a[i] *= 6.0f;
+  a = c;
+  bar (a);
+}
+
+int
+main ()
+{
+  B b = { 5, { 6, 7, 8, 9 } };
+  foo (b.a);
+}
Index: gcc/testsuite/c-c++-common/convert-vec-1.c
===================================================================
--- gcc/testsuite/c-c++-common/convert-vec-1.c	(.../tags/gcc_4_8_2_release)	(wersja 207996)
+++ gcc/testsuite/c-c++-common/convert-vec-1.c	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -1,3 +1,4 @@
 /* { dg-do compile } */
+/* { dg-prune-output "changes the ABI" } */
 typedef float v2sf __attribute__ ((vector_size (8)));
 v2sf sub (void) { return (v2sf) 0.0; } /* { dg-error "can't convert" } */
Index: gcc/testsuite/c-c++-common/pr59037.c
===================================================================
--- gcc/testsuite/c-c++-common/pr59037.c	(.../tags/gcc_4_8_2_release)	(wersja 0)
+++ gcc/testsuite/c-c++-common/pr59037.c	(.../branches/gcc-4_8-branch)	(wersja 207996)
@@ -0,0 +1,12 @@
+/* { dg-do compile } */
+/* { dg-options "-O3" } */
+
+typedef int v4si __attribute__ ((vector_size (16)));
+
+int
+main (int argc, char** argv)
+{
+  v4si x = {0,1,2,3};
+  x = (v4si) {(x)[3], (x)[2], (x)[1], (x)[0]};
+  return x[4];
+}
